---
 eclass/python-r1.eclass | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/eclass/python-r1.eclass b/eclass/python-r1.eclass
index 8c58e31..4b9c6f3 100644
--- a/eclass/python-r1.eclass
+++ b/eclass/python-r1.eclass
@@ -216,8 +216,8 @@ _python_set_globals() {
        optflags+=,${flags_st[@]/%/(-)}
 
        IUSE=${flags[*]}
-       PYTHON_REQUIRED_USE="|| ( ${flags[*]} )"
-       PYTHON_USEDEP=${optflags// /,}
+       declare -g -r PYTHON_REQUIRED_USE="|| ( ${flags[*]} )"
+       declare -g -r PYTHON_USEDEP=${optflags// /,}
 
        # 1) well, python-exec would suffice as an RDEP
        # but no point in making this overcomplex, BDEP doesn't hurt anyone
@@ -232,6 +232,7 @@ _python_set_globals() {
        else
                PYTHON_DEPS+="dev-lang/python-exec:2[${PYTHON_USEDEP}]"
        fi
+       readonly PYTHON_DEPS
 }
 _python_set_globals
 unset -f _python_set_globals
-- 
2.6.3


Reply via email to